part of firebase_model_notifier;

/// Class for handling Firebase analytics.
@immutable
class FirebaseAnalyticsCore {
  const FirebaseAnalyticsCore._();

  static FirebaseAnalytics get _analytics {
    return FirebaseAnalytics.instance;
  }

  /// Page Observer.
  static final FirebaseAnalyticsObserver observer =
      FirebaseAnalyticsObserver(analytics: _analytics);

  /// Send an event.
  ///
  /// Enter the event name in [eventName] and define the data in [parameter].
  static Future<void> sendEvent({
    required String eventName,
    DynamicMap parameter = const {},
  }) async {
    return _analytics.logEvent(name: eventName, parameters: parameter);
  }
}
